Invoices API

Endpoints

GET /api/v1/invoices

Purpose: List invoices

Filter invoices by status, subscriber, date, due state.

Authentication: Bearer token.

Response envelope: success, data, meta for success; success, error for failure.

POST /api/v1/invoices

Purpose: Create invoice

Generate invoice for subscriber/services.

Authentication: Bearer token.

Response envelope: success, data, meta for success; success, error for failure.

GET /api/v1/invoices/{invoice_id}

Purpose: Get invoice

Retrieve invoice line items and state.

Authentication: Bearer token.

Response envelope: success, data, meta for success; success, error for failure.

POST /api/v1/invoices/{invoice_id}/send

Purpose: Send invoice

Send invoice notification.

Authentication: Bearer token.

Response envelope: success, data, meta for success; success, error for failure.